Bug 188975 - [patch] www/mnogosearch: convert to USES=libtool + misc
Summary: [patch] www/mnogosearch: convert to USES=libtool + misc
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Chris Rees
URL:
Keywords:
Depends on:
Blocks: 188978
  Show dependency treegraph
 
Reported: 2014-04-24 22:20 UTC by Tijl Coosemans
Modified: 2014-09-17 08:37 UTC (History)
0 users

See Also:


Attachments
mnogosearch.patch (3.75 KB, patch)
2014-04-24 22:20 UTC, Tijl Coosemans
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tijl Coosemans freebsd_committer 2014-04-24 22:20:01 UTC
- Add DOCS and EXAMPLES options.
- Convert USE_AUTOTOOLS=libtool and USE_GNOME=lthack to USES=libtool.
  USE_GNOME=lthack is going away.
- Remove some remnants from older versions:
  * CONFIGURE_ARGS=--enable-shared.
  * CONFIGURE_ENV=LOCALBASE="${LOCALBASE}"
  * MAKE_ENV=MKDIRPROG="${MKDIR}"
  * CONFIGURE_ENV=LIBS="-pthread"
  * CFLAGS+=-DCONSOLE
  * pre-install target
- Don't set an so-version for libmnogosearch-3.4.so.  It's not needed
  and libmnogocharset-3.4.so doesn't have one either.
- Use new LIB_DEPENDS syntax.
- Replace NOPORTDOCS with PORT_OPTIONS.
- Replace STRIP_CMD with INSTALL_TARGET=install-strip.
- Don't cat pkg-message in post-install.  It's redundant with staging.
- Remove pkg-install script.  I cannot find any references to the
  directories it creates in the source code, but you might want to run-test
  this.

Redports: https://redports.org/buildarchive/20140424140201-12217/
Comment 1 Edwin Groothuis freebsd_committer 2014-04-24 22:20:05 UTC
Responsible Changed
From-To: freebsd-ports-bugs->crees

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Chris Rees 2014-04-25 08:44:38 UTC
Thanks, please commit.

Chris
-- 
Sent from my Android phone with K-9 Mail. Please excuse my brevity.
-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.
Comment 3 dfilter service freebsd_committer 2014-04-25 09:13:45 UTC
Author: tijl
Date: Fri Apr 25 08:13:41 2014
New Revision: 352096
URL: http://svnweb.freebsd.org/changeset/ports/352096
QAT: https://qat.redports.org/buildarchive/r352096/

Log:
  - Add DOCS and EXAMPLES options.
  - Convert to USES=libtool.
  - Remove some remnants from older versions:
  - Don't set an so-version for libmnogosearch-3.4.so.  It's not needed
    and libmnogocharset-3.4.so doesn't have one either.
  - Use new LIB_DEPENDS syntax.
  - Replace NOPORTDOCS with PORT_OPTIONS.
  - Replace STRIP_CMD with INSTALL_TARGET=install-strip.
  - Don't cat pkg-message in post-install.
  - Remove pkg-install script.
  
  PR:		ports/188975
  Approved by:	crees (maintainer)

Deleted:
  head/www/mnogosearch/pkg-install
Modified:
  head/www/mnogosearch/Makefile
  head/www/mnogosearch/pkg-plist

Modified: head/www/mnogosearch/Makefile
==============================================================================
--- head/www/mnogosearch/Makefile	Fri Apr 25 07:42:39 2014	(r352095)
+++ head/www/mnogosearch/Makefile	Fri Apr 25 08:13:41 2014	(r352096)
@@ -3,7 +3,7 @@
 
 PORTNAME=	mnogosearch
 PORTVERSION=	3.4.0
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	www databases
 MASTER_SITES=	http://www.mnogosearch.org/Download/ \
 		http://www.bayofrum.net/dist/${PORTNAME}/
@@ -16,7 +16,7 @@ LICENSE_FILE=	${WRKSRC}/COPYING
 
 CONFLICTS=	dpsearch-[0-9]* udmsearch-[0-9]* mguesser-[0-9]*
 
-OPTIONS_DEFINE=	THREADS SSL ASIAN SYSLOG
+OPTIONS_DEFINE=	DOCS EXAMPLES THREADS SSL ASIAN SYSLOG
 
 OPTIONS_MULTI=	database
 OPTIONS_MULTI_database=	PGSQL MSQL MYSQL SQLITE2 SQLITE3
@@ -28,19 +28,13 @@ SYSLOG_DESC=	Send logs to syslog
 SQLITE2_DESC=	Use SQLite 2.x
 SQLITE3_DESC=	Use SQLite 3.x
 
-USES=		gmake
+GNU_CONFIGURE=	yes
+INSTALL_TARGET=	install-strip
+USES=		gmake libtool
 USE_LDCONFIG=	yes
-USE_GNOME=	lthack
-USE_AUTOTOOLS=	libtool
-CONFIGURE_ARGS+=--enable-shared \
-		--sysconfdir=${ETCDIR} \
+CONFIGURE_ARGS=	--sysconfdir=${ETCDIR} \
 		--localstatedir=/var/mnogosearch \
 		--datadir=${DATADIR}
-CONFIGURE_ENV+=	LOCALBASE="${LOCALBASE}"
-MAKE_ENV+=	MKDIRPROG="${MKDIR}"
-
-PLIST_SUB+=	SHLIB_VER=${SHLIB_VER}
-SHLIB_VER=	1
 
 SUB_FILES+=	pkg-message
 
@@ -52,10 +46,8 @@ USE_OPENSSL=	yes
 
 .if ${PORT_OPTIONS:MTHREADS}
 CONFIGURE_ARGS+=	--enable-pthreads
-CONFIGURE_ENV+=	LIBS="-pthread"
 .else
 CONFIGURE_ARGS+=	--disable-pthreads
-CFLAGS+=	-DCONSOLE
 .endif
 
 .if ${PORT_OPTIONS:MSSL}
@@ -76,7 +68,7 @@ CONFIGURE_ARGS+=	--with-pgsql=${LOCALBAS
 .endif
 
 .if ${PORT_OPTIONS:MMSQL}
-LIB_DEPENDS+=		msql.1:${PORTSDIR}/databases/msql
+LIB_DEPENDS+=		libmsql.so:${PORTSDIR}/databases/msql
 CONFIGURE_ARGS+=	--with-msql=${LOCALBASE}
 .endif
 
@@ -100,7 +92,7 @@ PORTDOCS=	ChangeLog INSTALL README.html
 PORTEXAMPLES=	README *.conf
 
 post-patch:
-.if !defined (NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 	@${REINPLACE_CMD} -e 's#$$(DESTDIR)$$(prefix)/doc#${DOCSDIR}#' \
 		${WRKSRC}/Makefile.in ${WRKSRC}/doc/Makefile.in
 .else
@@ -109,22 +101,12 @@ post-patch:
 		${WRKSRC}/Makefile.in
 .endif
 
-pre-install:
-	@${MKDIR} ${STAGEDIR}${DATADIR}
-
 post-install:
-.for l in charset search
-	${STRIP_CMD} ${STAGEDIR}${PREFIX}/lib/libmnogo$l-${PORTVERSION:R}.so
-.endfor
-	${LN} -sf libmnogosearch.so \
-		${STAGEDIR}${PREFIX}/lib/libmnogosearch-${PORTVERSION:R}.so.${SHLIB_VER}
 	${MKDIR} ${STAGEDIR}${DOCSDIR}
 .for f in ${PORTDOCS:NREADME.html}
 	${INSTALL_DATA} ${WRKSRC}/${f} ${STAGEDIR}${DOCSDIR}
 .endfor
 	${MKDIR} ${STAGEDIR}${EXAMPLESDIR}
 	${INSTALL_DATA} ${WRKSRC}/doc/samples/* ${STAGEDIR}${EXAMPLESDIR}/
-	@${ECHO}
-	@${CAT} ${PKGMESSAGE}
 
 .include <bsd.port.mk>

Modified: head/www/mnogosearch/pkg-plist
==============================================================================
--- head/www/mnogosearch/pkg-plist	Fri Apr 25 07:42:39 2014	(r352095)
+++ head/www/mnogosearch/pkg-plist	Fri Apr 25 08:13:41 2014	(r352096)
@@ -72,12 +72,9 @@ include/udm_xmalloc.h
 include/udmsearch.h
 lib/libmnogocharset-3.4.so
 lib/libmnogocharset.a
-lib/libmnogocharset.la
 lib/libmnogocharset.so
 lib/libmnogosearch-3.4.so
-lib/libmnogosearch-3.4.so.%%SHLIB_VER%%
 lib/libmnogosearch.a
-lib/libmnogosearch.la
 lib/libmnogosearch.so
 man/man1/indexer.1.gz
 man/man5/indexer.conf.5.gz
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Tijl Coosemans freebsd_committer 2014-04-25 11:13:50 UTC
State Changed
From-To: open->closed

Committed in r352096.